ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions
error_log_controller_1_0_0 Class Reference

## Public Member Functions
| store_404_error_message ($Options)
| delete_error ($Options)
| controller ($Options)

## Detailed Description

Error log' implementation.

Author
  Dodonov A.A.

Definition at line 26 of file error_log_controller.php.

## Member Function Documentation

controller | ( |  | $Options | ) |

Function processes components.

Parameters

  $Options | - Settings.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 117 of file error_log_controller.php.

{
try
{
$ContextSet = get_package( 'gui::context_set' , 'last' , __FILE__ );
$ContextSet->add_context( dirname( __FILE__ ).'/conf/cfcx_404' );
$ContextSet->add_context( dirname( __FILE__ ).'/conf/cfcx_massive_delete' );
if( $ContextSet->execute( $Options , $this , __FILE__ ) )
{
return;
}
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

delete_error | ( |  | $Options | ) |

Deleting error logs.

Parameters

  $Options | - Settings.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 80 of file error_log_controller.php.

{
try
{
$SecurityUtilities = get_package( 'security::security_utilities' , 'last' , __FILE__ );
$ErrorLogAccess = get_package( 'error_log::error_log_access' , 'last' , __FILE__ );
$Ids = $SecurityUtilities->get_global( '_id_' , 'integer' , POST | PREFIX_NAME | KEYS );
foreach( $Ids as $k => $id )
{
$ErrorLogAccess->delete_error_log( $id );
}
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

store_404_error_message | ( |  | $Options | ) |

Function stores 404 page not found message.

Parameters

  $Options | - Settings.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 46 of file error_log_controller.php.

{
try
{
$Security = get_package( 'security' , 'last' , __FILE__ );
$ErrorLog = get_package( 'error_log::error_log_access' , 'last' , __FILE__ );
$ErrorLog->add_message_to_log(
5 , '404' , '{lang:page_was_not_found} '.$Security->get_srv( 'REQUEST_URI' , 'string' )
);
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

The documentation for this class was generated from the following file:

- packages/error_log/packages/error_log_controller/error_log_controller.php